Managed Databases
Update managed database
patch
/managed-databases/{md_uuid}Update the name, label or backup policy (hour and retention) of a managed database.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
md_uuid*string
Cuerpo de la petición
application/jsonObligatorio
name?string | null
Rango
2 ≤ length ≤ 60Rangopattern ^[a-z0-9][a-z0-9-]*[a-z0-9]$label?string | null
Rango
length ≤ 255backup?BackupPolicyUpdate | null
Change the hour (UTC) or the retention of the backups. Backups cannot be turned off.
Propiedades (2)
hour_utc?integer | null
Hour of the day (UTC, 0 to 23) of the daily full backup.
Rango
0 ≤ value ≤ 23retention_days?integer | null
Days the backups are kept (1 to 30).
Rango
1 ≤ value ≤ 30Respuestas
Successful Response
application/json
detail*string